Subject: [PATCH RFC 0/2] Add IPsec virtual tunnel interfaces to IPv6

From: Steffen Klassert <[email-masked]>
Date: Mon, 19 Aug 2013 08:26:23 +0200

This patchset adds support for IPsec virtual tunnel interfaces to IPv6.

IPsec virtual tunnel interfaces provide a routable interface for IPsec
tunnel endpoints. This does not add any tunnel headers, it uses the
generic xfrm tunneling. It just provides an interface for xfrm IPv6
tunnels, like the IPv4 side does.

It has not much testing yet, I can setup the interface and ping through it.
Review and further testing is very wellcome.

I'll send the necessary iproute2 patches in a separate thread.